Bug 142716 - Kernel oops when hot-plugging usb flash
Kernel oops when hot-plugging usb flash
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-13 05:01 EST by Edgar Bertoti
Modified: 2015-01-04 17:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 21:23:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edgar Bertoti 2004-12-13 05:01:12 EST
Description of problem:

Sometimes I am not able to mount my usb flash device on
an HP Compaq desktop mashine.  If I do reboot, mounting is 
sometimes possible, sometimes not (random behavior).

Version-Release number of selected component (if applicable):

kernel-2.6.9-1.681_FC3

  
Actual results:

Buffer I/O error on device sda, logical block 0
 unable to read partition table
usb 1-7: USB disconnect, address 2
scsi: Device offlined - not ready after error recovery: host 0 channel
0 id 0 lun 0
sd 0:0:0:0: Illegal state transition cancel->offline
Badness in scsi_device_set_state at drivers/scsi/scsi_lib.c:1691
 [<22468643>] scsi_device_set_state+0xc8/0xd3 [scsi_mod]
 [<22465b8b>] scsi_eh_offline_sdevs+0x49/0x5e [scsi_mod]
 [<22466146>] scsi_unjam_host+0x22d/0x23e [scsi_mod]
 [<22466291>] scsi_error_handler+0x13a/0x191 [scsi_mod]
 [<0211b669>] schedule_tail+0xc/0x37
 [<22466157>] scsi_error_handler+0x0/0x191 [scsi_mod]
 [<021041d9>] kernel_thread_helper+0x5/0xb
scsi: Device offlined - not ready after error recovery: host 0 channel
0 id 0 lun 0
sd 0:0:0:0: Illegal state transition cancel->offline
Badness in scsi_device_set_state at drivers/scsi/scsi_lib.c:1691
 [<22468643>] scsi_device_set_state+0xc8/0xd3 [scsi_mod]
 [<22465b8b>] scsi_eh_offline_sdevs+0x49/0x5e [scsi_mod]
 [<22466146>] scsi_unjam_host+0x22d/0x23e [scsi_mod]
 [<224625c5>] __scsi_iterate_devices+0x123/0x12b [scsi_mod]
 [<22466291>] scsi_error_handler+0x13a/0x191 [scsi_mod]
 [<0211b669>] schedule_tail+0xc/0x37
 [<22466157>] scsi_error_handler+0x0/0x191 [scsi_mod]
 [<021041d9>] kernel_thread_helper+0x5/0xb
Unable to handle kernel NULL pointer dereference at virtual address
00000008
 printing eip:
02250a37
*pde = 00000000
Oops: 0000 [#1]
Modules linked in: sd_mod usb_storage scsi_mod i915 parport_pc lp
parport autofs4 i2c_dev i2c_core sunrpc ipt_REJECT ipt_state
ip_conntrack iptable_filter ip_tables dm_mod md5 ipv6 uhci_hcd
ehci_hcd hw_random snd_intel8x0 snd_ac97_codec snd_pcm_oss
snd_mixer_oss snd_pcm snd_timer snd_page_alloc gameport
snd_mpu401_uart snd_rawmidi snd_seq_device snd soundcore e100 mii
floppy ext3 jbd
CPU:    0
EIP:    0060:[<02250a37>]    Not tainted VLI
EFLAGS: 00010046   (2.6.9-1.681_FC3) 
EIP is at cfq_insert_request+0x45/0xdf
eax: 1ba92d18   ebx: 034d08b0   ecx: 00000001   edx: 034d08b0
esi: 00000001   edi: 00000000   ebp: 00000000   esp: 0c9d6efc
ds: 007b   es: 007b   ss: 0068
Process scsi_eh_0 (pid: 5673, threadinfo=0c9d6000 task=1926cbb0)
Stack: 1ba92d18 1ba92d18 00000001 034d08b0 00000202 02247213 1ba92d18
00000001 
       034d08b0 022471d5 00000000 02249382 1cde8b00 1bb0b400 1cfc4400
00001057 
       22466576 1cde8b00 00000001 1cde8b00 0c9d6f74 0c9d6f74 0c9d6f7c
22465ec8 
Call Trace:
 [<02247213>] __elv_add_request+0x3c/0x71
 [<022471d5>] elv_requeue_request+0x29/0x2b
 [<02249382>] blk_insert_request+0xba/0x18b
 [<22466576>] scsi_queue_insert+0x84/0x8d [scsi_mod]
 [<22465ec8>] scsi_eh_flush_done_q+0x7d/0xce [scsi_mod]
 [<2246614f>] scsi_unjam_host+0x236/0x23e [scsi_mod]
 [<224625c5>] __scsi_iterate_devices+0x123/0x12b [scsi_mod]
 [<22466291>] scsi_error_handler+0x13a/0x191 [scsi_mod]
 [<0211b669>] schedule_tail+0xc/0x37
 [<22466157>] scsi_error_handler+0x0/0x191 [scsi_mod]
 [<021041d9>] kernel_thread_helper+0x5/0xb
Code: 74 29 eb 51 83 f9 03 74 33 eb 4a 8b 04 24 89 fa e8 f8 fa ff ff
85 c0 75 f2 8b 47 08 8b 50 04 89 03 89 58 04 89 1a 89 53 04 eb 3f <8b>
47 08 8b 10 89 5a 04 89 13 89 43 04 89 18 eb 2e f6 42 08 10 



Additional info:

The boot should be performed with acpi = off, otherwise
I get the following boot message:


kernel: irq 9: nobody cared! (screaming interrupt?)
Dec  1 10:23:41 nadir kernel: irq 9: Please try booting with acpi=off
and report a bug
Comment 1 Edgar Bertoti 2005-03-02 03:33:31 EST
kernel-2.6.10-1.766_FC3:

The same problem reported above still
appears, but no kernel oops is present.

The main problem is that I have to plug-in and
out the usb flash device several times and,
after six-ten plug-in plug-out actions,
the device is usually found or accepted.

Typical log messages are as follows:

   usb 5-1: device descriptor read/64, error -71...:  8 Time(s)
   usb 5-1: device not accepting address 12, error -71...:  1 Time(s)
   usb 5-1: device not accepting address 13, error -71...:  1 Time(s)
   usb 5-1: device not accepting address 36, error -71...:  1 Time(s)
   usb 5-1: device not accepting address 37, error -71...:  1 Time(s)
   usb 5-2: device descriptor read/64, error -71...:  32 Time(s)
   usb 5-2: device not accepting address 16, error -71...:  1 Time(s)
   usb 5-2: device not accepting address 17, error -71...:  1 Time(s)
   usb 5-2: device not accepting address 20, error -71...:  1 Time(s)
   usb 5-2: device not accepting address 21, error -71...:  1 Time(s)
   usb 5-2: device not accepting address 24, error -71...:  1 Time(s)
   usb 5-2: device not accepting address 25, error -71...:  1 Time(s)
   usb 5-2: device not accepting address 28, error -71...:  1 Time(s)
   usb 5-2: device not accepting address 29, error -71...:  1 Time(s)
   usb 5-2: device not accepting address 32, error -71...:  1 Time(s)
   usb 5-2: device not accepting address 33, error -71...:  1 Time(s)
   usb 5-2: device not accepting address 4, error -71...:  1 Time(s)
   usb 5-2: device not accepting address 40, error -71...:  1 Time(s)
   usb 5-2: device not accepting address 41, error -71...:  1 Time(s)
   usb 5-2: device not accepting address 5, error -71...:  1 Time(s)
   usb 5-2: device not accepting address 8, error -71...:  1 Time(s)
   usb 5-2: device not accepting address 9, error -71...:  1 Time(s)

After a few days of running I have to reboot
the system because the device cannot be recognized
at all within an acceptable number of plug-in and
plug-out actions.


Comment 2 Dave Jones 2005-07-15 15:19:29 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 3 Dave Jones 2005-10-02 21:23:07 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.